<div class="row animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>Driver Details</h3>
              </div>
            </div>
            <div class="ibox-content pt-30">
              <div class="row">
                <div class="col-sm-2">
                  <img style="vertical-align:middle;" class="img img-rounded" aria-hidden
                    src="{{driverDetails && driverDetails.profile_picture ? apiUrl +driverDetails.profile_picture+imageext : 'assets/img/noimage.jpg'}}"
                    height="100" width="100" alt="profile pic"/>
                </div>
                <div class="col-sm-10">
                  <strong>{{driverDetails?.username}}</strong><br />
                  {{driverDetails?.name}}<br />
                  {{driverDetails?.formatted_phone_number}}<br />
                  {{driverDetails.is_company_driver && driverDetails.is_company_driver==1?'Freelance driver':'Company driver'}}
                </div>
              </div>
              <div class="fm-row row">
                <div class="col-xs-2 custom-position">
                  <input [(ngModel)]="selectedMoment" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                    [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
                  <owl-date-time #dtPicker1></owl-date-time>
                </div>

                <div class="col-xs-2 custom-position">
                  <input [(ngModel)]="selectedMoment1" name="end_date" [min]="selectedMoment"
                    [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                    class="form-control">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                  <owl-date-time #dtPicker2></owl-date-time>
                </div>
                <div class="col-sm-8 text-right">
                  <button (click)="getOrders()" class="btn btn-sm btn-primary blue">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                  <button class="btn btn-sm btn-primary red" (click)="reset()">
                    <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters </button>
                </div>
              </div>
              <h4>Trip Ratings</h4>
              <div *ngIf="ratingDataLength>0">Total records :{{ratingDataLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col">Order ID</th>
                      <th scope="col">Customer Rating</th>
                      <th scope="col">Customer Comment</th>
                      <th scope="col">Driver Rating</th>
                      <th scope="col">Driver Comment</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader2">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let order of ratingData">
                      <td>
                        {{order.unique_order_id ? order.unique_order_id : 'NA'}}
                      </td>
                      <td>
                        {{order.cu_to_dr_ratings ? order.cu_to_dr_ratings: 'NA'}}
                      </td>
                      <td>
                        {{order?.cu_to_dr_comments}}
                      </td>
                      <td>
                        {{order.dr_to_cu_ratings ? order.dr_to_cu_ratings: 'NA'}}
                      </td>
                      <td>
                        {{order?.dr_to_cu_comments}}
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div class="container-fluid" *ngIf="ratingDataLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="ratingDataLength" (pageChange)="tripRatingPagingAgent($event)"
                        [(page)]="pageNo2" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="ratingDataLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
              <h4>Flagged orders</h4>
              <div *ngIf="orderLength>0">Total records :{{orderLength}}</div>
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped driver-listing table-bordered zoom">
                  <thead>
                    <tr>
                      <th scope="col">ID</th>
                      <th scope="col">Flagged cases</th>
                      <th scope="col">Timestamp</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let order of orderData">
                      <td>
                        <span>{{order.unique_order_id ? order.unique_order_id : 'NA'}}
                        </span>
                      </td>
                      <td>
                        <div *ngIf='order.flagged_cases'>
                          <table aria-describedby="Manage Company" class="table table-bordered small">
                            <tr>
                              <th scope="col" *ngIf='order.flagged_cases.customer_cancellation'>Customer cancellation</th>
                              <th scope="col" *ngIf='order.flagged_cases.issues_type && order.flagged_cases.issues_type.length>0'>
                                Issue types</th>
                            </tr>
                            <tr>
                              <td *ngIf='order.flagged_cases.customer_cancellation'>
                                {{order.flagged_cases.customer_cancellation}}
                              </td>
                              <td *ngIf='order.flagged_cases.issues_type && order.flagged_cases.issues_type.length>0'>
                                <span *ngFor="let it of order.flagged_cases.issues_type">
                                  {{it}}<br />
                                </span>
                              </td>
                            </tr>
                          </table>
                        </div>
                      </td>
                      <td>
                        <span>{{order.order_created_time ? order.order_created_time: ' NA '}}</span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>
              <div class="container-fluid" *ngIf="orderLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="orderLength" (pageChange)="pagingAgent($event)"
                        [(page)]="pageNo" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="orderLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>